PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_getbinval

## Name

SPI_getbinval -- Returns the binary value of the specified attribute

## Synopsis

    SPI_getbinval(tuple, tupdesc, fnumber, isnull)

### Inputs

HeapTuple `tuple`

  Input tuple to be examined

TupleDesc `tupdesc`

  Input tuple description

int `fnumber`

  Attribute number

### Outputs

Datum

  Attribute binary value

bool * `isnull`

  flag for null value in attribute

SPI_result

  SPI_ERROR_NOATTRIBUTE

## Description

`SPI_getbinval` returns the binary value of the specified attribute.

## Usage

Attribute numbers are 1 based.

## Algorithm

Does not allocate new space for the binary value.

Prev | Home | Next
SPI_getvalue | Up | SPI_gettype